<?xml version='1.0' encoding='UTF-8'?>
<Data Id="253">
 <Header>
  <Fields>
   <Name LocalizedTagName="Name" Validation="Standard" Default="NewFlow" Tooltip="Name of the flow" Subtype="inline" Editor="inline" Type="string">D-02-Point d'envoi</Name>
   <Type Editor="hide">Flow</Type>
   <Description LocalizedTagName="Description" Validation="Standard" Default="" Tooltip="Description of the flow" Subtype="description" Editor="description" Type="string">Objectifs :
> Copier le flux D01
> Créer un point d’envoi connecté point de soumission avec les champs suivants : 
- Numéro de dossier
- Date de livraison
- Type d’impression
- Adresse mail

Objectifs bonus :
> Rajouter un menu déroulant BAT ? Oui/Non
> Afficher l’adresse mail uniquement si BAT = Oui
> Afficher les valeurs remplies dans le point d’envoi sur le point de contrôle

Nouveaux éléments :
- Point d'envoi</Description>
   <TimeStamp ModificationDate="2025-09-05T18:55:21.682Z" Editor="hide"/>
   <FlowFolder Editor="hide">D-02-Point d'envoi</FlowFolder>
   <LastObjId Editor="hide">24</LastObjId>
   <Locked Editor="hide" LockPassword="">No</Locked>
   <AutomanagedCounter Editor="hide">6</AutomanagedCounter>
   <ImagePath LocalizedTagName="Background image" Validation="Standard" Default="" Opaque="true" Tooltip="Path to the background image file" Subtype="choosefile|Image files (*.png *.jpg)" Editor="none;choosefile|Image files (*.png *.jpg)" Type="string">E:/BlueWest/98-Utilitaires/Grille Switch.png</ImagePath>
   <HeaderImagePath LocalizedTagName="Header image" Validation="Standard" Default="" Opaque="true" Tooltip="Path to the header image file" Subtype="choosefile|Image files (*.png *.jpg)" Editor="none;choosefile|Image files (*.png *.jpg)" Type="string">E:/BlueWest/05-Formation/SWITCH/gabarit header/D/D2.png</HeaderImagePath>
   <MarkerImage LocalizedTagName="Marker image" Validation="Standard" Default="" Opaque="true" Tooltip="Flow marker image to be shown in the Flows pane" Subtype="none" Editor="none;inline;choosefile|Image files (*.png *.jpg)" Type="enum:Priority 1;Priority 2;Priority 3;Priority 4;25% complete;50% complete;75% complete;100% complete;Up arrow;Down arrow;Left arrow;Right arrow;Red flag;Green flag;Blue flag;Black flag">Green flag</MarkerImage>
   <AdvancedTuningEnabled LocalizedTagName="Show advanced element properties" Validation="Standard" Default="No" Tooltip="Set to 'Yes' to unlock:&#xa;- 2 extra performance properties for flow elements that support concurrent processing&#xa;- The Log debug messages property for Node.js scripts/apps." Subtype="inline" Editor="inline" Type="bool">No</AdvancedTuningEnabled>
   <TimeOfDayWindow LocalizedTagName="Time-of-day window" Validation="Standard" Default="No" Tooltip="If set to yes, the flow will be active only during a certain time of the day" Subtype="inline" Editor="inline" Type="bool">No</TimeOfDayWindow>
   <AllowFromHour LocalizedTagName="Allow from (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to keep the flow active" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowFromHour>
   <AllowToHour LocalizedTagName="Allow to (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to keep the flow active" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowToHour>
   <DayOfWeekWindow LocalizedTagName="Day-of-week window" Validation="Standard" Default="No" Tooltip="If set to yes, the flow will be active only during a certain days of the week" Subtype="inline" Editor="inline" Type="bool">No</DayOfWeekWindow>
   <AllowFromDay LocalizedTagName="Allow from" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week window during which to keep the flow active" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Monday">Monday</AllowFromDay>
   <AllowToDay LocalizedTagName="Allow to" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week window during which to keep the flow active" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Sunday">Sunday</AllowToDay>
   <DayOfMonthWindow LocalizedTagName="Day-of-month window" Validation="Standard" Default="No" Tooltip="If set to yes, the flow will be active only during a certain day of the month" Subtype="inline" Editor="inline" Type="bool">No</DayOfMonthWindow>
   <Day LocalizedTagName="Day" Validation="Standard" Dependencyvalue="Yes" Tooltip="The day of the month during which to keep the flow active, as a number in the range [1 . . 31]" Subtype="inline" Editor="inline" Type="number" Format="[1-9]|0[1-9]|[12][0-9]|3[01]" Dependency="DayOfMonthWindow" Default="1">1</Day>
   <RelativeTo LocalizedTagName="Relative to" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines whether the day of the month is relative to 'Start of the month’ or 'End of the month'" Subtype="inline" Editor="inline" Type="enum:Start of the month;End of the month" Dependency="DayOfMonthWindow" Default="Start of the month">Start of the month</RelativeTo>
   <Version ModifiedBySwitch="25.07" Editor="hide">62</Version>
  </Fields>
 </Header>
 <Object LocalizedTagName="Submit Point" Id="6" Icon="" Class="object">
  <Fields>
   <Type Editor="hide">SubmitPoint</Type>
   <Category Editor="hide">producer</Category>
   <ConnectionType Editor="hide">Filter</ConnectionType>
   <OutgoingConnections RequireAtLeastOne="Yes" Editor="hide">Unlimited</OutgoingConnections>
   <Name LocalizedTagName="Name" Validation="None" Validate="No" Tooltip="Submit point" Editor="inline" Type="string">Point d'envoi 1</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <Path LocalizedTagName="Path" Tooltip="Path to the backing folder" Subtype="automanaged" Editor="hide" Type="path">#automanaged#</Path>
   <DisplayName LocalizedTagName="Display name" Validation="Standard" Default="Default" Tooltip="The name to be displayed in a client application" Subtype="default" Editor="inline;default" Type="string">Default</DisplayName>
   <DisplayDescription LocalizedTagName="Display description" Validation="None" Default="" Validate="No" Tooltip="The description to be displayed in a client application" Subtype="description" Editor="description;html" Type="string"/>
   <DisplayThumbnail LocalizedTagName="Thumbnail" Validation="Standard" Default="" Opaque="true" Tooltip="The image to be used as a thumbnail for this Submit point in a client application; allowed image types are PNG, BMP, JPEG" Subtype="none" Editor="inline;none;choosefile|Images (*.png *.bmp *.jpg)" Type="string"/>
   <FlowStage LocalizedTagName="Flow stage" Validation="None" Default="" Validate="No" Tooltip="Enter a descriptive name for the flow stage this folder belongs to. This stage can be seen in the Job finder (through the Switch Web Portal)" Editor="inline" Type="string"/>
   <AttachHierarchyInfo LocalizedTagName="Attach hierarchy info" Validation="Standard" Default="No" Tooltip="If set to Yes, part of a job's submit information is added to its hierarchy location path as it is injected in the flow." Subtype="inline" Editor="inline" Type="bool">No</AttachHierarchyInfo>
   <IncludeSubmitName LocalizedTagName="Include submit point name" Validation="Standard" Dependencyvalue="Yes" Tooltip="If set to Yes, the name of this flow element is included at the top of the remembered location path." Subtype="inline" Editor="inline" Type="bool" Dependency="AttachHierarchyInfo" Default="No">No</IncludeSubmitName>
   <IncludeUserName LocalizedTagName="Include user name" Validation="Standard" Dependencyvalue="Yes" Tooltip="If set to Yes, the name of the user submitting the job is included in the remembered location path." Subtype="inline" Editor="inline" Type="bool" Dependency="AttachHierarchyInfo" Default="No">No</IncludeUserName>
   <UserEmailInfo LocalizedTagName="Attach user email address" Validation="Standard" Default="No" Tooltip="If set to Yes, the submitting user's email address is added to each job's email info as the job is injected in the flow." Subtype="inline" Editor="inline" Type="bool">No</UserEmailInfo>
   <EmailInfo LocalizedTagName="Attach extra email info" Validation="None" Validate="No" Tooltip="Email addresses and body text specified with the editor for this property are added to each job's email info as the job is injected in the flow; the information added can vary depending on the user submitting the job." Editor="mapeinfoedit" Type="mapeinfo"/>
   <Submit LocalizedTagName="Submit" Validation="Standard" Default="Job only" Tooltip="Determine what the user can submit in this Submit point. In case of Metadata only/Trigger, a dummy job will move through the Switch flow." Subtype="inline" Editor="inline" Type="enum:Job and metadata;Job only;Metadata only;Trigger">Job and metadata</Submit>
   <AcceptJobs LocalizedTagName="Accept these jobs" Validation="Standard" Dependencyvalue="Job and metadata;Job only" Tooltip="Determine what the user can submit in this Submit point." Subtype="inline" Editor="inline" Type="enum:Files and folders;Files only;Folders only" Dependency="Submit" Default="Files and folders">Files and folders</AcceptJobs>
   <FileTypes LocalizedTagName="File types" Validation="None" Dependencyvalue="Files and folders;Files only" Tooltip="Determine which file types can be submitted in this Submit point. Leave empty to allow all file types." Subtype="stringlist" Editor="stringlist" Type="" Dependency="AcceptJobs" Default="" StringListMes="Each line corresponds to the file type (extension) to allow. e.g. pdf, png etc. Leave empty to allow all file types."/>
   <MetadataFields LocalizedTagName="Metadata fields" Validation="Standard" Dependency="Submit" Dependencyvalue="Job and metadata;Metadata only" Tooltip="Specify the optional or required metadata fields a user needs to fill in before submitting a job." Subtype="metadatafields" Editor="metadatafields" Type="fieldsdef"><![CDATA[<ValueDescription Type="metadatafields">
 <spMF_5 Subtype="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="string" Format="" DisplayField="Yes" LocalizedTagName="Numero de dossier" ReadOnly="No" RememberLastValue="No" FormatEditor="inline" ValueIsRequired="No" Editor="inline"></spMF_5>
 <spMF_4 Subtype="none" CacheDynamicValues="Do not cache" Tooltip="" Type="date" DisplayField="Yes" LocalizedTagName="Date de livraison" ReadOnly="No" RememberLastValue="No" ValueIsRequired="No" Editor="none"/>
 <spMF_1 IgnoreDuplicates="No" Subtype="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="enum:Numérique;Offset" DisplayField="Yes" LocalizedTagName="Type impression" ReadOnly="No" RememberLastValue="No" ValueIsRequired="No" Editor="inline">Numérique</spMF_1>
 <spMF_2 Subtype="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="bool" DisplayField="Yes" LocalizedTagName="BAT" ReadOnly="No" RememberLastValue="No" ValueIsRequired="No" Editor="inline">No</spMF_2>
 <spMF_3 DependencyCondition="Equals" Subtype="inline" DependencyValueSubType="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="string" Dependency="spMF_2" Format="" DisplayField="Yes" LocalizedTagName="Adresse mail" ReadOnly="No" RememberLastValue="No" FormatEditor="inline" ValueIsRequired="No" Editor="inline" Dependencyvalue="Yes"></spMF_3>
 <spMF_6 Subtype="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="string" Format="[0-9]*\.?(?=[0-9]+)[0-9]+" DisplayField="Yes" LocalizedTagName="Largeur" ReadOnly="No" RememberLastValue="No" FormatEditor="regexp" ValueIsRequired="No" Editor="inline"></spMF_6>
 <spMF_7 Subtype="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="string" Format="[0-9]*\.?(?=[0-9]+)[0-9]+" DisplayField="Yes" LocalizedTagName="Hauteur" ReadOnly="No" RememberLastValue="No" FormatEditor="regexp" ValueIsRequired="No" Editor="inline"/>
 <spMF_8 Subtype="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="number" Format="\d+" DisplayField="Yes" LocalizedTagName="Nombre de pages" ReadOnly="No" RememberLastValue="No" FormatEditor="regexp" ValueIsRequired="No" Editor="inline">0</spMF_8>
</ValueDescription>
]]></MetadataFields>
   <DatasetName LocalizedTagName="Dataset name" Validation="Standard" Default="Submit" Dependency="Submit" Dependencyvalue="Job and metadata;Metadata only" Subtype="inline" Editor="inline" Type="string">Submit</DatasetName>
   <InvalidateCacheOnLogin LocalizedTagName="Invalidate user metadata cache on login" Validation="Standard" Dependencyvalue="Job and metadata;Metadata only" Tooltip="Defines if the metadata cache is cleared when the user logs in. Note that this property only applies to the user cache; it does not affect the common cache." Subtype="inline" Editor="inline" Type="bool" Dependency="Submit" Default="Yes">Yes</InvalidateCacheOnLogin>
   <InvalidateCacheCondition LocalizedTagName="Invalidate metadata cache condition" Validation="None" Dependencyvalue="Job and metadata;Metadata only" Tooltip="Defines on which condition the metadata cache should be cleared." Subtype="none" Editor="none;scriptexp;conditionwithvar" Type="string" Dependency="Submit" Default="none" Validate="No"/>
   <RequiresSwitchHelper LocalizedTagName="Requires Switch Helper" Validation="Standard" Dependencyvalue="Job and metadata;Job only" Tooltip="The Switch Helper will attach the job origin and the original creation date to the submitted jobs, so these metadata fields can be used in Switch." Subtype="inline" Editor="inline" Type="bool" Dependency="Submit" Default="No">No</RequiresSwitchHelper>
   <Xpos Default="0" Editor="hide" Type="number">80</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"><![CDATA[[encoded data, 8344 characters]]]></ElementIcon>
   <SwitchModule Editor="hide" Type="string">SwitchClient</SwitchModule>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="8" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">Filter</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">6</Sourceobject>
   <Destobject Editor="hide">2</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Editor="inline" Type="bool">No</Hold>
   <IncludeMask LocalizedTagName="Include these jobs" Default="All Files" Validate="Yes" Tooltip="Specify which jobs can flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="allfiles" Editor="allfiles;allotherfiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">All Files</IncludeMask>
   <ExcludeMask LocalizedTagName="Exclude these jobs" Default="No Files" Validate="Yes" Tooltip="Specify which jobs cannot flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="nofiles" Editor="nofiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">No Files</ExcludeMask>
  </Fields>
 </Object>
 <Object LocalizedTagName="Folder" Id="4" Icon="" Class="object">
  <Fields>
   <Type Editor="hide">Folder</Type>
   <Category Editor="hide">folder</Category>
   <Name LocalizedTagName="Name" Validation="Standard" Tooltip="Name of the folder in the design area" Subtype="inline" Editor="inline" Type="string">-</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <Path LocalizedTagName="Path" Validation="Standard" Tooltip="Path to the backing folder" Subtype="automanaged" Editor="automanaged;choosefolder;inline" Type="string">#automanaged#</Path>
   <LeaveOriginals LocalizedTagName="Leave originals in place" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, incoming jobs are left untouched in the folder" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</LeaveOriginals>
   <MinimumFileSize LocalizedTagName="Minimum file size (KB)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="Minimum filesize (KB) before Switch picks up the file or folder. Leave empty to set no minimum." Subtype="none" Editor="inline;none" Type="number" Dependency="Path" Validate="No" Default="" DependencyCondition="Not-equals"/>
   <ScanEvery LocalizedTagName="Scan every (seconds)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="The frequency with which this folder is scanned for newly arrived jobs" Subtype="default" Editor="inline;default" Type="number" Dependency="Path" Validate="No" Default="Default" DependencyCondition="Not-equals">Default</ScanEvery>
   <TimeOfDayWindow LocalizedTagName="Time-of-day window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain time of the day" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</TimeOfDayWindow>
   <AllowFromHour LocalizedTagName="Allow from (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowFromHour>
   <AllowToHour LocalizedTagName="Allow to (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowToHour>
   <DayOfWeekWindow LocalizedTagName="Day-of-week window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during certain days of the week" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfWeekWindow>
   <AllowFromDay LocalizedTagName="Allow from" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Monday">Monday</AllowFromDay>
   <AllowToDay LocalizedTagName="Allow to" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Sunday">Sunday</AllowToDay>
   <DayOfMonthWindow LocalizedTagName="Day-of-month window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain day of the month" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfMonthWindow>
   <Day LocalizedTagName="Day" Validation="Standard" Dependencyvalue="Yes" Tooltip="The day in the month during which to detect jobs, as a number in the range [1 . . 31]" Subtype="inline" Editor="inline" Type="number" Format="[1-9]|0[1-9]|[12][0-9]|3[01]" Dependency="DayOfMonthWindow" Default="1">1</Day>
   <RelativeTo LocalizedTagName="Relative to" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines whether the day of the month is relative to 'Start of the month’ or 'End of the month'" Subtype="inline" Editor="inline" Type="enum:Start of the month;End of the month" Dependency="DayOfMonthWindow" Default="Start of the month">Start of the month</RelativeTo>
   <Color LocalizedTagName="Color" Default="Yellow" Tooltip="Specify color for this folder" Subtype="choosecolor" Editor="inline;choosecolor" Type="enum:Yellow;Orange;Green;Cyan;Blue;Magenta">#808080</Color>
   <AttachHierarchyInfo LocalizedTagName="Attach hierarchy info" Validation="Standard" Default="No" Tooltip="When set to yes, the name of this folder is stored in the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool">No</AttachHierarchyInfo>
   <IncludeFolderName LocalizedTagName="Add name at the top" Validation="Standard" Dependencyvalue="Yes" Tooltip="Set to yes to store the name of the folder at the top of the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool" Dependency="AttachHierarchyInfo" Default="No">No</IncludeFolderName>
   <AttachEmailAddresses LocalizedTagName="Attach email addresses" Validation="None" Default="" Tooltip="The specified email addresses are added to each job's email info as the job passes through the folder; see using email info for more details.&#xa;Email addresses are separated by a semicolon or by a newline" Subtype="inline" Editor="inline;sltextwithvar;description;mltextwithvar;scriptexp" Type="string"/>
   <AttachEmailBodyText LocalizedTagName="Attach email body text" Validation="None" Default="" Tooltip="The specified body text is added to each job's email info as the job passes through the folder; see using email info for more details." Subtype="inline" Editor="description;mltextwithvar;scriptexp" Type="string"/>
   <JobState LocalizedTagName="Attach job state" Validation="None" Default="" Validate="No" Tooltip="Enter a descriptive name for the state jobs are in when they pass this folder. This state can be used in the statistics view and be seen in a client application" Editor="inline;scriptexp;sltextwithvar" Type="string"/>
   <FlowStage LocalizedTagName="Flow stage (deprecated)" Validation="None" Default="" Validate="No" Tooltip="Deprecated. Please use the 'Refresh job info' element instead.&#xa;&#xa;Descriptive name for the flow stage that will be shown for the jobs on the Switch Web Portal." Editor="hide" Type="string"/>
   <SetJobPriority LocalizedTagName="Set job priority" Validation="None" Default="" Validate="No" Tooltip="If set to None, nothing happens. If set to any other value (including zero), the priority of each job is set to this new value as soon as the job arrives in the folder" Subtype="none" Editor="inline;none;scriptexp;sltextwithvar" Type="number"/>
   <SetJobPrivateData LocalizedTagName="Set job private data" Validation="None" Default="none" Validate="No" Tooltip="The private data to attach to the jobs passing this folder. Each private data item should be specified on a separate line by a string in the format 'key=value' (without quotes).&#xa;Note that keys cannot contain the character '=', but values can (the part before the first found '=' is used as the key)." Subtype="none" Editor="none;mltextwithvar" Type="string"/>
   <SafeMove LocalizedTagName="Safe move" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="When enabled, Switch will first copy the job to a temporary file before deleting it from the original location. In case of network permission problems, this option can be disabled to move the job immediately to its destination" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="Yes" DependencyCondition="Not-equals">Yes</SafeMove>
   <StripUnikName LocalizedTagName="Strip unique name" Validation="Standard" Tooltip="Strip the unique prefix added to job names for jobs entering this folder" Subtype="inline" Editor="inline" Type="bool" Default="No" UserManagedValue="No" ValueIsAutomanaged="Yes">Yes</StripUnikName>
   <DuplicateLogic LocalizedTagName="Duplicates" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines what happens when a job arrives with the same name as a job already residing in the folder" Subtype="inline" Editor="inline" Type="enum:Overwrite;Keep unique name;Add version number;Fail" Dependency="StripUnikName" Default="Overwrite">Overwrite</DuplicateLogic>
   <Separator LocalizedTagName="Separator" Validation="None" Dependencyvalue="Add version number" Tooltip="Defines separator to be added between filename and version number" Subtype="inline" Editor="inline" Type="string" Dependency="DuplicateLogic" Default=""/>
   <Width LocalizedTagName="Width" Validation="Standard" Dependencyvalue="Add version number" Tooltip="Defines width of the version number (not including separator)" Subtype="inline" Editor="inline" Type="number" Format="[0-9]|10" Dependency="DuplicateLogic" Default="1">1</Width>
   <MiniStat LocalizedTagName="Show in statistics" Validation="Standard" Default="No" Tooltip="Show this folder in the statistics view. This allows you to monitor the time jobs stay in this folder and look for processing bottlenecks" Subtype="inline" Editor="inline" Type="bool">No</MiniStat>
   <SkipTheseFolders LocalizedTagName="Ignore these subfolders" Validation="Standard" Default="No Folders" Tooltip="All subfolders that match the specified folder filter are ignored for the purpose of counting the number of jobs residing in this folder" Subtype="nofolders" Editor="nofolders;folderpatterns;regexp" Type="string">No Folders</SkipTheseFolders>
   <InjectedPath Default="" Editor="hide" Type="string"/>
   <LeaveOriginalsListPathExported Default="" Opaque="true" Editor="hide" Type="string"/>
   <LeaveOriginalsIgnoreUpdates LocalizedTagName="Ignore updates" Validation="Standard" Dependencyvalue="Yes" Tooltip="If set to yes, Switch processes a job only once, ignoring any changes to the job's file size or modification date after it was initially processed" Subtype="inline" Editor="inline" Type="bool" Dependency="LeaveOriginals" Default="No">No</LeaveOriginalsIgnoreUpdates>
   <Xpos Default="0" Editor="hide" Type="number">560</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"/>
  </Fields>
 </Object>
 <Object LocalizedTagName="Folder" Id="2" Icon="" Class="object">
  <Fields>
   <Type Editor="hide">Folder</Type>
   <Category Editor="hide">folder</Category>
   <Name LocalizedTagName="Name" Validation="Standard" Tooltip="Name of the folder in the design area" Subtype="inline" Editor="inline" Type="string">-</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <Path LocalizedTagName="Path" Validation="Standard" Tooltip="Path to the backing folder" Subtype="automanaged" Editor="automanaged;choosefolder;inline" Type="string">#automanaged#</Path>
   <LeaveOriginals LocalizedTagName="Leave originals in place" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, incoming jobs are left untouched in the folder" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</LeaveOriginals>
   <MinimumFileSize LocalizedTagName="Minimum file size (KB)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="Minimum filesize (KB) before Switch picks up the file or folder. Leave empty to set no minimum." Subtype="none" Editor="inline;none" Type="number" Dependency="Path" Validate="No" Default="" DependencyCondition="Not-equals"/>
   <ScanEvery LocalizedTagName="Scan every (seconds)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="The frequency with which this folder is scanned for newly arrived jobs" Subtype="default" Editor="inline;default" Type="number" Dependency="Path" Validate="No" Default="Default" DependencyCondition="Not-equals">Default</ScanEvery>
   <TimeOfDayWindow LocalizedTagName="Time-of-day window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain time of the day" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</TimeOfDayWindow>
   <AllowFromHour LocalizedTagName="Allow from (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowFromHour>
   <AllowToHour LocalizedTagName="Allow to (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowToHour>
   <DayOfWeekWindow LocalizedTagName="Day-of-week window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during certain days of the week" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfWeekWindow>
   <AllowFromDay LocalizedTagName="Allow from" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Monday">Monday</AllowFromDay>
   <AllowToDay LocalizedTagName="Allow to" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Sunday">Sunday</AllowToDay>
   <DayOfMonthWindow LocalizedTagName="Day-of-month window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain day of the month" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfMonthWindow>
   <Day LocalizedTagName="Day" Validation="Standard" Dependencyvalue="Yes" Tooltip="The day in the month during which to detect jobs, as a number in the range [1 . . 31]" Subtype="inline" Editor="inline" Type="number" Format="[1-9]|0[1-9]|[12][0-9]|3[01]" Dependency="DayOfMonthWindow" Default="1">1</Day>
   <RelativeTo LocalizedTagName="Relative to" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines whether the day of the month is relative to 'Start of the month’ or 'End of the month'" Subtype="inline" Editor="inline" Type="enum:Start of the month;End of the month" Dependency="DayOfMonthWindow" Default="Start of the month">Start of the month</RelativeTo>
   <Color LocalizedTagName="Color" Default="Yellow" Tooltip="Specify color for this folder" Subtype="choosecolor" Editor="inline;choosecolor" Type="enum:Yellow;Orange;Green;Cyan;Blue;Magenta">#808080</Color>
   <AttachHierarchyInfo LocalizedTagName="Attach hierarchy info" Validation="Standard" Default="No" Tooltip="When set to yes, the name of this folder is stored in the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool">No</AttachHierarchyInfo>
   <IncludeFolderName LocalizedTagName="Add name at the top" Validation="Standard" Dependencyvalue="Yes" Tooltip="Set to yes to store the name of the folder at the top of the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool" Dependency="AttachHierarchyInfo" Default="No">No</IncludeFolderName>
   <AttachEmailAddresses LocalizedTagName="Attach email addresses" Validation="None" Default="" Tooltip="The specified email addresses are added to each job's email info as the job passes through the folder; see using email info for more details.&#xa;Email addresses are separated by a semicolon or by a newline" Subtype="inline" Editor="inline;sltextwithvar;description;mltextwithvar;scriptexp" Type="string"/>
   <AttachEmailBodyText LocalizedTagName="Attach email body text" Validation="None" Default="" Tooltip="The specified body text is added to each job's email info as the job passes through the folder; see using email info for more details." Subtype="inline" Editor="description;mltextwithvar;scriptexp" Type="string"/>
   <JobState LocalizedTagName="Attach job state" Validation="None" Default="" Validate="No" Tooltip="Enter a descriptive name for the state jobs are in when they pass this folder. This state can be used in the statistics view and be seen in a client application" Editor="inline;scriptexp;sltextwithvar" Type="string"/>
   <FlowStage LocalizedTagName="Flow stage (deprecated)" Validation="None" Default="" Validate="No" Tooltip="Deprecated. Please use the 'Refresh job info' element instead.&#xa;&#xa;Descriptive name for the flow stage that will be shown for the jobs on the Switch Web Portal." Editor="hide" Type="string"/>
   <SetJobPriority LocalizedTagName="Set job priority" Validation="None" Default="" Validate="No" Tooltip="If set to None, nothing happens. If set to any other value (including zero), the priority of each job is set to this new value as soon as the job arrives in the folder" Subtype="none" Editor="inline;none;scriptexp;sltextwithvar" Type="number"/>
   <SetJobPrivateData LocalizedTagName="Set job private data" Validation="None" Default="none" Validate="No" Tooltip="The private data to attach to the jobs passing this folder. Each private data item should be specified on a separate line by a string in the format 'key=value' (without quotes).&#xa;Note that keys cannot contain the character '=', but values can (the part before the first found '=' is used as the key)." Subtype="none" Editor="none;mltextwithvar" Type="string"/>
   <SafeMove LocalizedTagName="Safe move" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="When enabled, Switch will first copy the job to a temporary file before deleting it from the original location. In case of network permission problems, this option can be disabled to move the job immediately to its destination" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="Yes" DependencyCondition="Not-equals">Yes</SafeMove>
   <StripUnikName LocalizedTagName="Strip unique name" Validation="Standard" Tooltip="Strip the unique prefix added to job names for jobs entering this folder" Subtype="inline" Editor="inline" Type="bool" Default="No" UserManagedValue="No" ValueIsAutomanaged="Yes">Yes</StripUnikName>
   <DuplicateLogic LocalizedTagName="Duplicates" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines what happens when a job arrives with the same name as a job already residing in the folder" Subtype="inline" Editor="inline" Type="enum:Overwrite;Keep unique name;Add version number;Fail" Dependency="StripUnikName" Default="Overwrite">Overwrite</DuplicateLogic>
   <Separator LocalizedTagName="Separator" Validation="None" Dependencyvalue="Add version number" Tooltip="Defines separator to be added between filename and version number" Subtype="inline" Editor="inline" Type="string" Dependency="DuplicateLogic" Default=""/>
   <Width LocalizedTagName="Width" Validation="Standard" Dependencyvalue="Add version number" Tooltip="Defines width of the version number (not including separator)" Subtype="inline" Editor="inline" Type="number" Format="[0-9]|10" Dependency="DuplicateLogic" Default="1">1</Width>
   <MiniStat LocalizedTagName="Show in statistics" Validation="Standard" Default="No" Tooltip="Show this folder in the statistics view. This allows you to monitor the time jobs stay in this folder and look for processing bottlenecks" Subtype="inline" Editor="inline" Type="bool">No</MiniStat>
   <SkipTheseFolders LocalizedTagName="Ignore these subfolders" Validation="Standard" Default="No Folders" Tooltip="All subfolders that match the specified folder filter are ignored for the purpose of counting the number of jobs residing in this folder" Subtype="nofolders" Editor="nofolders;folderpatterns;regexp" Type="string">No Folders</SkipTheseFolders>
   <InjectedPath Default="" Editor="hide" Type="string"/>
   <LeaveOriginalsListPathExported Default="" Opaque="true" Editor="hide" Type="string"/>
   <LeaveOriginalsIgnoreUpdates LocalizedTagName="Ignore updates" Validation="Standard" Dependencyvalue="Yes" Tooltip="If set to yes, Switch processes a job only once, ignoring any changes to the job's file size or modification date after it was initially processed" Subtype="inline" Editor="inline" Type="bool" Dependency="LeaveOriginals" Default="No">No</LeaveOriginalsIgnoreUpdates>
   <Xpos Default="0" Editor="hide" Type="number">176</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"/>
  </Fields>
 </Object>
 <Object LocalizedTagName="Checkpoint" Id="14" Icon="" Class="object">
  <Fields>
   <Type Editor="hide">Checkpoint</Type>
   <Category Editor="hide">processor</Category>
   <ConnectionType Editor="hide">Move</ConnectionType>
   <IncomingConnections RequireAtLeastOne="Yes" Editor="hide">Yes</IncomingConnections>
   <OutgoingConnections RequireAtLeastOne="Yes" Editor="hide">Unlimited</OutgoingConnections>
   <Name LocalizedTagName="Name" Validation="None" Validate="No" Subtype="inline" Editor="inline" Type="string">Point de contrôle 1</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <Path LocalizedTagName="Path" Tooltip="Path to the backing folder" Subtype="automanaged" Editor="hide" Type="path">#automanaged#</Path>
   <FlowStage LocalizedTagName="Flow stage" Validation="None" Default="" Validate="No" Tooltip="Enter a descriptive name for the flow stage this folder belongs to. This stage can be seen in the Job finder (through the Switch Web Portal)" Editor="inline" Type="string"/>
   <MultipleOutputs LocalizedTagName="Allow multiple outputs" Validation="Standard" Default="No" Subtype="inline" Editor="inline" Type="bool">No</MultipleOutputs>
   <EnableReportViewing LocalizedTagName="Enable report viewing" Validation="Standard" Default="No" Subtype="inline" Editor="inline" Type="bool">No</EnableReportViewing>
   <ReportDatasetName LocalizedTagName="Report dataset name" Validation="Standard" Dependency="EnableReportViewing" Dependencyvalue="Yes" Subtype="inline" Editor="inline" Type="string">Log</ReportDatasetName>
   <AllowReplacingJob LocalizedTagName="Allow replacing or editing job" Validation="Standard" Default="No" Tooltip="Set to Yes to allow a client application user to edit and/or replace jobs." Subtype="inline" Editor="inline" Type="bool">No</AllowReplacingJob>
   <Metadata LocalizedTagName="Enter and display metadata" Validation="Standard" Default="No" Tooltip="Set to yes if you want to specify or display optional or required metadata fields a user needs to review, update or fill in before allowing the job to go through this checkpoint" Subtype="inline" Editor="inline" Type="bool">Yes</Metadata>
   <MetadataFields LocalizedTagName="Metadata fields" Validation="Standard" Dependency="Metadata" Dependencyvalue="Yes" Tooltip="Specify the metadata fields a user needs to review, update or fill in." Subtype="metadatafields" Editor="metadatafields" Type="fieldsdef"><![CDATA[<ValueDescription Type="metadatafields">
 <spMF_5_6 Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="string" DisplayField="Yes" Format="" ReadOnly="No" LocalizedTagName="Numero de dossier" RememberLastValue="No" ValueIsRequired="No" FormatEditor="inline" Editor="inline"></spMF_5_6>
 <spMF_4_6 Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="date" DisplayField="Yes" ReadOnly="No" LocalizedTagName="Date de livraison" RememberLastValue="No" ValueIsRequired="No" Editor="inline"/>
 <spMF_1_6 IgnoreDuplicates="No" Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="enum:Numérique;Offset" DisplayField="Yes" ReadOnly="No" LocalizedTagName="Type impression" RememberLastValue="No" ValueIsRequired="No" Editor="inline"></spMF_1_6>
 <spMF_2_6 Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="bool" DisplayField="Yes" ReadOnly="No" LocalizedTagName="BAT" RememberLastValue="No" ValueIsRequired="No" Editor="inline"/>
 <spMF_3_6 DependencyCondition="Equals" Subtype="inline" ObjectId="6" DependencyValueSubType="inline" CacheDynamicValues="Do not cache" Tooltip="" Type="string" Dependency="spMF_2_6" DisplayField="Yes" Format="" ReadOnly="No" LocalizedTagName="Adresse mail" RememberLastValue="No" ValueIsRequired="No" FormatEditor="inline" Editor="inline" Dependencyvalue="Yes"></spMF_3_6>
 <spMF_6_6 Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="string" DisplayField="Yes" Format="[0-9]*\.?(?=[0-9]+)[0-9]+" ReadOnly="No" LocalizedTagName="Largeur" RememberLastValue="No" ValueIsRequired="No" FormatEditor="regexp" Editor="inline"></spMF_6_6>
 <spMF_7_6 Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="string" DisplayField="Yes" Format="[0-9]*\.?(?=[0-9]+)[0-9]+" ReadOnly="No" LocalizedTagName="Hauteur" RememberLastValue="No" ValueIsRequired="No" FormatEditor="regexp" Editor="inline"/>
 <spMF_8_6 Subtype="inline" ObjectId="6" CacheDynamicValues="Do not cache" Tooltip="" Type="number" DisplayField="Yes" Format="\d+" ReadOnly="No" LocalizedTagName="Nombre de pages" RememberLastValue="No" ValueIsRequired="No" FormatEditor="regexp" Editor="inline">0</spMF_8_6>
</ValueDescription>
]]></MetadataFields>
   <DatasetName LocalizedTagName="Dataset name" Validation="Standard" Dependencyvalue="Yes" Tooltip="The name of the dataset in which the specified metadata fields will be stored." Subtype="inline" Editor="inline" Type="string" Dependency="Metadata" Default="Check">Check</DatasetName>
   <InvalidateCacheOnLogin LocalizedTagName="Invalidate user metadata cache on login" Validation="Standard" Dependencyvalue="Yes" Tooltip="Defines if the metadata cache is cleared when the user logs in. Note that this property only applies to the user cache; it does not affect the common cache." Subtype="inline" Editor="inline" Type="bool" Dependency="Metadata" Default="Yes">Yes</InvalidateCacheOnLogin>
   <UserEmailInfo LocalizedTagName="Attach user email address" Validation="Standard" Default="No" Tooltip="If set to Yes, the handling user's email address is added to each job's email info as the job is moved along the flow." Subtype="inline" Editor="inline" Type="bool">No</UserEmailInfo>
   <UpdateUserInfo LocalizedTagName="Update user info" Validation="Standard" Default="If empty" Tooltip="Specifies if the user's info (name, full name and email address) associated with the job should be updated to contain the info of the user who handles the job." Subtype="inline" Editor="inline" Type="enum:If empty;Yes;No">If empty</UpdateUserInfo>
   <FailJobsAfterTimeout LocalizedTagName="Fail jobs after timeout" Validation="Standard" Default="No" Tooltip="If set to yes, jobs are failed after residing in the checkpoint for a certain period of time" Subtype="inline" Editor="inline" Type="bool">No</FailJobsAfterTimeout>
   <Unit LocalizedTagName="Unit" Validation="Standard" Dependencyvalue="Yes" Tooltip="Selects the unit for the subsequent property" Subtype="inline" Editor="inline" Type="enum:Minutes;Hours;Days" Dependency="FailJobsAfterTimeout" Default="Minutes">Minutes</Unit>
   <TimeoutDelay LocalizedTagName="Timeout delay" Validation="Standard" Dependencyvalue="Yes" Tooltip="The timeout delay in the units indicated by the previous property" Subtype="inline" Editor="inline" Type="number" Dependency="FailJobsAfterTimeout" Default="0">0</TimeoutDelay>
   <FailConnection LocalizedTagName="Fail connection" Validation="None" Dependencyvalue="Yes" Tooltip="The name of the connection to which failed jobs must be moved" Subtype="inline" Editor="inline" Type="string" Dependency="FailJobsAfterTimeout" Default=""/>
   <Xpos Default="0" Editor="hide" Type="number">464</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"><![CDATA[[encoded data, 8412 characters]]]></ElementIcon>
   <SwitchModule Editor="hide" Type="string">SwitchClient</SwitchModule>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="15" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">Filter</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">2</Sourceobject>
   <Destobject Editor="hide">19</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Subtype="inline" Editor="inline" Type="bool">No</Hold>
   <IncludeMask LocalizedTagName="Include these jobs" Default="All Files" Validate="Yes" Tooltip="Specify which jobs can flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="allfiles" Editor="allfiles;allotherfiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">All Files</IncludeMask>
   <ExcludeMask LocalizedTagName="Exclude these jobs" Default="No Files" Validate="Yes" Tooltip="Specify which jobs cannot flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="nofiles" Editor="nofiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">No Files</ExcludeMask>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="16" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">Move</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">14</Sourceobject>
   <Destobject Editor="hide">4</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Editor="inline" Type="bool">No</Hold>
  </Fields>
 </Object>
 <Object LocalizedTagName="Folder" Id="17" Icon="" Class="object">
  <Fields>
   <Type Editor="hide">Folder</Type>
   <Category Editor="hide">folder</Category>
   <Name LocalizedTagName="Name" Validation="Standard" Tooltip="Name of the folder in the design area" Editor="inline" Type="string">Folder 5</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <Path LocalizedTagName="Path" Validation="Standard" Tooltip="Path to the backing folder" Subtype="automanaged" Editor="automanaged;choosefolder;inline" Type="string">#automanaged#</Path>
   <LeaveOriginals LocalizedTagName="Leave originals in place" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, incoming jobs are left untouched in the folder" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</LeaveOriginals>
   <MinimumFileSize LocalizedTagName="Minimum file size (KB)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="Minimum filesize (KB) before Switch picks up the file or folder. Leave empty to set no minimum." Subtype="none" Editor="inline;none" Type="number" Dependency="Path" Validate="No" Default="" DependencyCondition="Not-equals"/>
   <ScanEvery LocalizedTagName="Scan every (seconds)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="The frequency with which this folder is scanned for newly arrived jobs" Subtype="default" Editor="inline;default" Type="number" Dependency="Path" Validate="No" Default="Default" DependencyCondition="Not-equals">Default</ScanEvery>
   <TimeOfDayWindow LocalizedTagName="Time-of-day window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain time of the day" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</TimeOfDayWindow>
   <AllowFromHour LocalizedTagName="Allow from (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowFromHour>
   <AllowToHour LocalizedTagName="Allow to (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowToHour>
   <DayOfWeekWindow LocalizedTagName="Day-of-week window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during certain days of the week" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfWeekWindow>
   <AllowFromDay LocalizedTagName="Allow from" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Monday">Monday</AllowFromDay>
   <AllowToDay LocalizedTagName="Allow to" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Sunday">Sunday</AllowToDay>
   <DayOfMonthWindow LocalizedTagName="Day-of-month window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain day of the month" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfMonthWindow>
   <Day LocalizedTagName="Day" Validation="Standard" Dependencyvalue="Yes" Tooltip="The day in the month during which to detect jobs, as a number in the range [1 . . 31]" Subtype="inline" Editor="inline" Type="number" Format="[1-9]|0[1-9]|[12][0-9]|3[01]" Dependency="DayOfMonthWindow" Default="1">1</Day>
   <RelativeTo LocalizedTagName="Relative to" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines whether the day of the month is relative to 'Start of the month’ or 'End of the month'" Subtype="inline" Editor="inline" Type="enum:Start of the month;End of the month" Dependency="DayOfMonthWindow" Default="Start of the month">Start of the month</RelativeTo>
   <Color LocalizedTagName="Color" Default="Yellow" Tooltip="Specify color for this folder" Subtype="inline" Editor="inline;choosecolor" Type="enum:Yellow;Orange;Green;Cyan;Blue;Magenta">Yellow</Color>
   <AttachHierarchyInfo LocalizedTagName="Attach hierarchy info" Validation="Standard" Default="No" Tooltip="When set to yes, the name of this folder is stored in the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool">No</AttachHierarchyInfo>
   <IncludeFolderName LocalizedTagName="Add name at the top" Validation="Standard" Dependencyvalue="Yes" Tooltip="Set to yes to store the name of the folder at the top of the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool" Dependency="AttachHierarchyInfo" Default="No">No</IncludeFolderName>
   <AttachEmailAddresses LocalizedTagName="Attach email addresses" Validation="None" Default="" Tooltip="The specified email addresses are added to each job's email info as the job passes through the folder; see using email info for more details.&#xa;Email addresses are separated by a semicolon or by a newline" Subtype="inline" Editor="inline;sltextwithvar;description;mltextwithvar;scriptexp" Type="string"/>
   <AttachEmailBodyText LocalizedTagName="Attach email body text" Validation="None" Default="" Tooltip="The specified body text is added to each job's email info as the job passes through the folder; see using email info for more details." Subtype="inline" Editor="description;mltextwithvar;scriptexp" Type="string"/>
   <JobState LocalizedTagName="Attach job state" Validation="None" Default="" Validate="No" Tooltip="Enter a descriptive name for the state jobs are in when they pass this folder. This state can be used in the statistics view and be seen in a client application" Editor="inline;scriptexp;sltextwithvar" Type="string"/>
   <FlowStage LocalizedTagName="Flow stage (deprecated)" Validation="None" Default="" Validate="No" Tooltip="Deprecated. Please use the 'Refresh job info' element instead.&#xa;&#xa;Descriptive name for the flow stage that will be shown for the jobs on the Switch Web Portal." Editor="hide" Type="string"/>
   <SetJobPriority LocalizedTagName="Set job priority" Validation="None" Default="" Validate="No" Tooltip="If set to None, nothing happens. If set to any other value (including zero), the priority of each job is set to this new value as soon as the job arrives in the folder" Subtype="none" Editor="inline;none;scriptexp;sltextwithvar" Type="number"/>
   <SetJobPrivateData LocalizedTagName="Set job private data" Validation="None" Default="none" Validate="No" Tooltip="The private data to attach to the jobs passing this folder. Each private data item should be specified on a separate line by a string in the format 'key=value' (without quotes).&#xa;Note that keys cannot contain the character '=', but values can (the part before the first found '=' is used as the key)." Subtype="none" Editor="none;mltextwithvar" Type="string"/>
   <SafeMove LocalizedTagName="Safe move" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="When enabled, Switch will first copy the job to a temporary file before deleting it from the original location. In case of network permission problems, this option can be disabled to move the job immediately to its destination" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="Yes" DependencyCondition="Not-equals">Yes</SafeMove>
   <StripUnikName LocalizedTagName="Strip unique name" Validation="Standard" Tooltip="Strip the unique prefix added to job names for jobs entering this folder" Subtype="inline" Editor="inline" Type="bool" Default="No" UserManagedValue="No" ValueIsAutomanaged="Yes">Yes</StripUnikName>
   <DuplicateLogic LocalizedTagName="Duplicates" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines what happens when a job arrives with the same name as a job already residing in the folder" Subtype="inline" Editor="inline" Type="enum:Overwrite;Keep unique name;Add version number;Fail" Dependency="StripUnikName" Default="Overwrite">Overwrite</DuplicateLogic>
   <Separator LocalizedTagName="Separator" Validation="None" Dependencyvalue="Add version number" Tooltip="Defines separator to be added between filename and version number" Subtype="inline" Editor="inline" Type="string" Dependency="DuplicateLogic" Default=""/>
   <Width LocalizedTagName="Width" Validation="Standard" Dependencyvalue="Add version number" Tooltip="Defines width of the version number (not including separator)" Subtype="inline" Editor="inline" Type="number" Format="[0-9]|10" Dependency="DuplicateLogic" Default="1">1</Width>
   <MiniStat LocalizedTagName="Show in statistics" Validation="Standard" Default="No" Tooltip="Show this folder in the statistics view. This allows you to monitor the time jobs stay in this folder and look for processing bottlenecks" Subtype="inline" Editor="inline" Type="bool">No</MiniStat>
   <SkipTheseFolders LocalizedTagName="Ignore these subfolders" Validation="Standard" Default="No Folders" Tooltip="All subfolders that match the specified folder filter are ignored for the purpose of counting the number of jobs residing in this folder" Subtype="nofolders" Editor="nofolders;folderpatterns;regexp" Type="string">No Folders</SkipTheseFolders>
   <InjectedPath Default="" Editor="hide" Type="string"/>
   <LeaveOriginalsListPathExported Default="" Opaque="true" Editor="hide" Type="string"/>
   <LeaveOriginalsIgnoreUpdates LocalizedTagName="Ignore updates" Validation="Standard" Dependencyvalue="Yes" Tooltip="If set to yes, Switch processes a job only once, ignoring any changes to the job's file size or modification date after it was initially processed" Subtype="inline" Editor="inline" Type="bool" Dependency="LeaveOriginals" Default="No">No</LeaveOriginalsIgnoreUpdates>
   <Xpos Default="0" Editor="hide" Type="number">848</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"/>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="18" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">Filter</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">4</Sourceobject>
   <Destobject Editor="hide">23</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Editor="inline" Type="bool">No</Hold>
   <IncludeMask LocalizedTagName="Include these jobs" Default="All Files" Validate="Yes" Tooltip="Specify which jobs can flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="allfiles" Editor="allfiles;allotherfiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">All Files</IncludeMask>
   <ExcludeMask LocalizedTagName="Exclude these jobs" Default="No Files" Validate="Yes" Tooltip="Specify which jobs cannot flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="nofiles" Editor="nofiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">No Files</ExcludeMask>
  </Fields>
 </Object>
 <Object LocalizedTagName="Switch XML Simplify" Id="19" Version="5" Class="object">
  <Fields>
   <Type Editor="hide">switchXMLSimplify</Type>
   <Category Editor="hide">processor</Category>
   <ConnectionType Editor="hide">TrafficLight</ConnectionType>
   <Name LocalizedTagName="Name" Tooltip="Name of the flow element" Editor="inline" Type="string">Switch XML Simplify</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Validate="No" Tooltip="Description of the flow element" Editor="description" Type="string"/>
   <Xpos Default="0" Editor="hide" Type="number">272</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"><![CDATA[iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAACXBIWXMAAA7EAAAOxAGVKw4bAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAhFJREFUWIXtl71u2lAUx3+XjxhoooQWqmbAQmXpkCGZO9QZumQBngDeoOQJyhuQPkHgCQJPEHcIlbqkQ4YsaREMqRqqWFUCJq5zO1BcXBQUaA2txF/ycnx8z++eD19byEPWbIUDARozlATd3yMrvtc5nHXwYQhh15HzCD6Qb57BFwD/BIDwamH5juStJAO8BtZmDjCQXacAlO66H6D6xYsx1JHBLNmo4ZPot2O26VUPaAjrAEA858M4Ry+bULuP09ynYAEwEYAWCyLTcYrPHswGYHM1wP7WyhDAEgB6+4b9rRU2VwPeAOTVEMdalGMtSl4NOfYXj4I/Aaw7faYGSEb8lDaWudyJObszLEm5aTrOWiyI3rYA2DvrYljSydLlTozSxjLJiH8iACeHn14+dIzV8x6VVo/qec8VHODt1z7A7skVuydXZNYVcgmFzLpCIRWmkAojaheTZ2Agw5IYlqTRsV324foPq9GxnWemkZOB7SODXCJEXv11NTo2bz522TvruuoPUEiFefU07Ep5uWlSaZlMIvH7YZSM+MmrIXIJxVlc1C6Q6Th622L7yABApuNAPwOVVo9y0xzJGpnHAmDcd+fIHDU6NsXTa4qn1+TVEOknSyP1h36f1D7fuJp0Go0d5HLTpNw0nRfPcP2z77/9UeCBRkrwV3WPEvxfZ8ECwCsAfV7BJeg+ZDA7D4jB7/kPgm/K03J5ryIAAAAASUVORK5CYII=]]></ElementIcon>
   <LogDebugMessages LocalizedTagName="Log debug messages" Validation="None" Tooltip="Defines if an element should log debug messages. If 'Default' is chosen, global preference 'Log debug messages' is used." Subtype="inline" Editor="inline" Type="enum:Default;Yes" Default="Default" Validate="No" DetailedInfo="">Default</LogDebugMessages>
   <AbortTimeoutMinutes LocalizedTagName="Abort after (minutes)" Validation="None" Default="Default" Validate="No" Tooltip="If processing takes longer than this time, it is considered crashed or locked-up and it is aborted (0 means never abort). The default value can be set in the user preferences - Error Handling - Abort processes after (minutes)." Editor="inline;default" Type="number">Default</AbortTimeoutMinutes>
   <IncomingConnections RequireAtLeastOne="Yes" Editor="hide">Yes</IncomingConnections>
   <OutgoingConnections RequireAtLeastOne="Yes" DetailedInfo="" Editor="hide">Unlimited</OutgoingConnections>
   <dataset LocalizedTagName="Dataset name" Validation="Standard" Tooltip="Name of the switch datasets you want to simplify.&#xa;If “Automatic” is selected, the app will scan all the dataset." Subtype="automatic" UserDefined="true" Type="string" Editor="inline;automatic;sltextwithvar;description;mltextwithvar;scriptexp" Default="Automatic" DetailedInfo="">Automatic</dataset>
   <action LocalizedTagName="Action" Validation="Standard" Tooltip="Choose between this two actions :&#xa;- Create a new dataset : Create a new one with a suffix.&#xa;- Replace : Replace the dataset selected by the new simplified one" Subtype="inline" UserDefined="true" Type="enum:Replace;Create new dataset" Editor="inline;sltextwithvar;scriptexp" Default="Create new dataset" DetailedInfo="">Create new dataset</action>
   <suffix LocalizedTagName="Add suffix" Validation="Standard" Dependencyvalue="Create new dataset" Tooltip="If the action &quot;Create a new dataset&quot; is selected, you must determine the suffix to add to the original dataset." Subtype="inline" UserDefined="true" Type="string" Editor="inline;sltextwithvar;scriptexp" Dependency="action" Default="_simplified" DependencyCondition="Equals" DetailedInfo="">_simplified</suffix>
   <mode LocalizedTagName="Mode" Validation="Standard" Tooltip="Either you want to flatten or keep original indentation.&#xa;If &quot;Indented&quot; is selected, nodes with sublevel will have their value attached as an attribute.&#xa;&#xa;Note : Does not work for XML from ConnectAll. All Connect all XML will be flattened.&#xa;" Subtype="inline" UserDefined="true" Type="enum:Flattened;Indented" Editor="inline;sltextwithvar;scriptexp" Default="Indented" DetailedInfo="">Indented</mode>
   <isAttributeNeeded LocalizedTagName="Write all field info as attribute" Validation="Standard" Tooltip="Either or not to attach to each field info original attributes : Tag, Type, Format, Required..." Subtype="inline" UserDefined="true" Type="bool" Editor="inline;scriptexp" Default="No" DetailedInfo="">No</isAttributeNeeded>
   <tagCleanUpStrategy LocalizedTagName="Tag cleanup strategy" Validation="Standard" Tooltip="In order to work with XML syntax, the field name needs to be parsed to remove unwanted characters.&#xa;&#xa;The new syntax could be one of :&#xa;- camelCase;&#xa;- kebab-case;&#xa;- PascalCase;&#xa;- snake_case." Subtype="inline" UserDefined="true" Type="enum:camelCase;kebab-case;PascalCase;snake_case" Editor="inline;sltextwithvar;scriptexp" Default="camelCase" DetailedInfo="">camelCase</tagCleanUpStrategy>
  </Fields>
 </Object>
 <Object LocalizedTagName="Folder" Id="20" Icon="" Class="object">
  <Fields>
   <Type Editor="hide">Folder</Type>
   <Category Editor="hide">folder</Category>
   <Name LocalizedTagName="Name" Validation="Standard" Tooltip="Name of the folder in the design area" Editor="inline" Type="string">Folder 6</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <Path LocalizedTagName="Path" Validation="Standard" Tooltip="Path to the backing folder" Subtype="automanaged" Editor="automanaged;choosefolder;inline" Type="string">#automanaged#</Path>
   <LeaveOriginals LocalizedTagName="Leave originals in place" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, incoming jobs are left untouched in the folder" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</LeaveOriginals>
   <MinimumFileSize LocalizedTagName="Minimum file size (KB)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="Minimum filesize (KB) before Switch picks up the file or folder. Leave empty to set no minimum." Subtype="none" Editor="inline;none" Type="number" Dependency="Path" Validate="No" Default="" DependencyCondition="Not-equals"/>
   <ScanEvery LocalizedTagName="Scan every (seconds)" Validation="None" Dependencyvalue="#automanaged#" Tooltip="The frequency with which this folder is scanned for newly arrived jobs" Subtype="default" Editor="inline;default" Type="number" Dependency="Path" Validate="No" Default="Default" DependencyCondition="Not-equals">Default</ScanEvery>
   <TimeOfDayWindow LocalizedTagName="Time-of-day window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain time of the day" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</TimeOfDayWindow>
   <AllowFromHour LocalizedTagName="Allow from (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowFromHour>
   <AllowToHour LocalizedTagName="Allow to (hh:mm)" Validation="Standard" Dependencyvalue="Yes" Tooltip="The time-of-day window during which to detect jobs" Subtype="inline" Editor="inline" Type="time" Dependency="TimeOfDayWindow" Default="00:00">00:00</AllowToHour>
   <DayOfWeekWindow LocalizedTagName="Day-of-week window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during certain days of the week" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfWeekWindow>
   <AllowFromDay LocalizedTagName="Allow from" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Monday">Monday</AllowFromDay>
   <AllowToDay LocalizedTagName="Allow to" Validation="Standard" Dependencyvalue="Yes" Tooltip="The days of the week during which to detect jobs" Subtype="inline" Editor="inline" Type="enum:Monday;Tuesday;Wednesday;Thursday;Friday;Saturday;Sunday" Dependency="DayOfWeekWindow" Default="Sunday">Sunday</AllowToDay>
   <DayOfMonthWindow LocalizedTagName="Day-of-month window" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="If set to yes, the folder detects (and moves) newly arrived jobs only during a certain day of the month" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="No" DependencyCondition="Not-equals">No</DayOfMonthWindow>
   <Day LocalizedTagName="Day" Validation="Standard" Dependencyvalue="Yes" Tooltip="The day in the month during which to detect jobs, as a number in the range [1 . . 31]" Subtype="inline" Editor="inline" Type="number" Format="[1-9]|0[1-9]|[12][0-9]|3[01]" Dependency="DayOfMonthWindow" Default="1">1</Day>
   <RelativeTo LocalizedTagName="Relative to" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines whether the day of the month is relative to 'Start of the month’ or 'End of the month'" Subtype="inline" Editor="inline" Type="enum:Start of the month;End of the month" Dependency="DayOfMonthWindow" Default="Start of the month">Start of the month</RelativeTo>
   <Color LocalizedTagName="Color" Default="Yellow" Tooltip="Specify color for this folder" Subtype="inline" Editor="inline;choosecolor" Type="enum:Yellow;Orange;Green;Cyan;Blue;Magenta">Yellow</Color>
   <AttachHierarchyInfo LocalizedTagName="Attach hierarchy info" Validation="Standard" Default="No" Tooltip="When set to yes, the name of this folder is stored in the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool">No</AttachHierarchyInfo>
   <IncludeFolderName LocalizedTagName="Add name at the top" Validation="Standard" Dependencyvalue="Yes" Tooltip="Set to yes to store the name of the folder at the top of the hierarchy section of the job ticket for processed jobs" Subtype="inline" Editor="inline" Type="bool" Dependency="AttachHierarchyInfo" Default="No">No</IncludeFolderName>
   <AttachEmailAddresses LocalizedTagName="Attach email addresses" Validation="None" Default="" Tooltip="The specified email addresses are added to each job's email info as the job passes through the folder; see using email info for more details.&#xa;Email addresses are separated by a semicolon or by a newline" Subtype="inline" Editor="inline;sltextwithvar;description;mltextwithvar;scriptexp" Type="string"/>
   <AttachEmailBodyText LocalizedTagName="Attach email body text" Validation="None" Default="" Tooltip="The specified body text is added to each job's email info as the job passes through the folder; see using email info for more details." Subtype="inline" Editor="description;mltextwithvar;scriptexp" Type="string"/>
   <JobState LocalizedTagName="Attach job state" Validation="None" Default="" Validate="No" Tooltip="Enter a descriptive name for the state jobs are in when they pass this folder. This state can be used in the statistics view and be seen in a client application" Editor="inline;scriptexp;sltextwithvar" Type="string"/>
   <FlowStage LocalizedTagName="Flow stage (deprecated)" Validation="None" Default="" Validate="No" Tooltip="Deprecated. Please use the 'Refresh job info' element instead.&#xa;&#xa;Descriptive name for the flow stage that will be shown for the jobs on the Switch Web Portal." Editor="hide" Type="string"/>
   <SetJobPriority LocalizedTagName="Set job priority" Validation="None" Default="" Validate="No" Tooltip="If set to None, nothing happens. If set to any other value (including zero), the priority of each job is set to this new value as soon as the job arrives in the folder" Subtype="none" Editor="inline;none;scriptexp;sltextwithvar" Type="number"/>
   <SetJobPrivateData LocalizedTagName="Set job private data" Validation="None" Default="none" Validate="No" Tooltip="The private data to attach to the jobs passing this folder. Each private data item should be specified on a separate line by a string in the format 'key=value' (without quotes).&#xa;Note that keys cannot contain the character '=', but values can (the part before the first found '=' is used as the key)." Subtype="none" Editor="none;mltextwithvar" Type="string"/>
   <SafeMove LocalizedTagName="Safe move" Validation="Standard" Dependencyvalue="#automanaged#" Tooltip="When enabled, Switch will first copy the job to a temporary file before deleting it from the original location. In case of network permission problems, this option can be disabled to move the job immediately to its destination" Subtype="inline" Editor="inline" Type="bool" Dependency="Path" Default="Yes" DependencyCondition="Not-equals">Yes</SafeMove>
   <StripUnikName LocalizedTagName="Strip unique name" Validation="Standard" Tooltip="Strip the unique prefix added to job names for jobs entering this folder" Subtype="inline" Editor="inline" Type="bool" Default="No" UserManagedValue="No" ValueIsAutomanaged="Yes">Yes</StripUnikName>
   <DuplicateLogic LocalizedTagName="Duplicates" Validation="Standard" Dependencyvalue="Yes" Tooltip="Determines what happens when a job arrives with the same name as a job already residing in the folder" Subtype="inline" Editor="inline" Type="enum:Overwrite;Keep unique name;Add version number;Fail" Dependency="StripUnikName" Default="Overwrite">Overwrite</DuplicateLogic>
   <Separator LocalizedTagName="Separator" Validation="None" Dependencyvalue="Add version number" Tooltip="Defines separator to be added between filename and version number" Subtype="inline" Editor="inline" Type="string" Dependency="DuplicateLogic" Default=""/>
   <Width LocalizedTagName="Width" Validation="Standard" Dependencyvalue="Add version number" Tooltip="Defines width of the version number (not including separator)" Subtype="inline" Editor="inline" Type="number" Format="[0-9]|10" Dependency="DuplicateLogic" Default="1">1</Width>
   <MiniStat LocalizedTagName="Show in statistics" Validation="Standard" Default="No" Tooltip="Show this folder in the statistics view. This allows you to monitor the time jobs stay in this folder and look for processing bottlenecks" Subtype="inline" Editor="inline" Type="bool">No</MiniStat>
   <SkipTheseFolders LocalizedTagName="Ignore these subfolders" Validation="Standard" Default="No Folders" Tooltip="All subfolders that match the specified folder filter are ignored for the purpose of counting the number of jobs residing in this folder" Subtype="nofolders" Editor="nofolders;folderpatterns;regexp" Type="string">No Folders</SkipTheseFolders>
   <InjectedPath Default="" Editor="hide" Type="string"/>
   <LeaveOriginalsListPathExported Default="" Opaque="true" Editor="hide" Type="string"/>
   <LeaveOriginalsIgnoreUpdates LocalizedTagName="Ignore updates" Validation="Standard" Dependencyvalue="Yes" Tooltip="If set to yes, Switch processes a job only once, ignoring any changes to the job's file size or modification date after it was initially processed" Subtype="inline" Editor="inline" Type="bool" Dependency="LeaveOriginals" Default="No">No</LeaveOriginalsIgnoreUpdates>
   <Xpos Default="0" Editor="hide" Type="number">368</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"/>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="21" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">TrafficLight</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">19</Sourceobject>
   <Destobject Editor="hide">20</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <TrafficType LocalizedTagName="Carry this type of jobs" Default="Data" Tooltip="Specify whether this connection should transport data jobs (output jobs) or log files (such as Preflight Reports, Distiller logs, etc...)" Editor="inline" Type="enum:Data;Log;Data with log">Data</TrafficType>
   <DatasetName LocalizedTagName="Dataset Name" Dependency="TrafficType" Dependencyvalue="Data with log" Tooltip="A name for the set of metadata picked up by this tool" Editor="inline" Type="string">Log</DatasetName>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Editor="inline" Type="bool">No</Hold>
   <Success LocalizedTagName="Success out" AvailableFor="Data" Default="Yes" Editor="inline" Type="bool">Yes</Success>
   <Warning LocalizedTagName="Warning out" AvailableFor="Data" Default="Yes" Editor="inline" Type="bool">Yes</Warning>
   <Error LocalizedTagName="Error out" AvailableFor="Data" Default="Yes" Editor="inline" Type="bool">Yes</Error>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="22" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">Filter</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">20</Sourceobject>
   <Destobject Editor="hide">14</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Subtype="inline" Editor="inline" Type="bool">Yes</Hold>
   <IncludeMask LocalizedTagName="Include these jobs" Default="All Files" Validate="Yes" Tooltip="Specify which jobs can flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="allfiles" Editor="allfiles;allotherfiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">All Files</IncludeMask>
   <ExcludeMask LocalizedTagName="Exclude these jobs" Default="No Files" Validate="Yes" Tooltip="Specify which jobs cannot flow through this connection. Jobs can be filtered on job name, job type and using regular expressions." Subtype="nofiles" Editor="nofiles;types;filepatterns;regexp;scriptexp;conditionwithvar" Type="string">No Files</ExcludeMask>
  </Fields>
 </Object>
 <Object LocalizedTagName="Switch XML Simplify" Id="23" Version="5" Class="object">
  <Fields>
   <Type Editor="hide">switchXMLSimplify</Type>
   <Category Editor="hide">processor</Category>
   <ConnectionType Editor="hide">TrafficLight</ConnectionType>
   <Name LocalizedTagName="Name" Tooltip="Name of the flow element" Editor="inline" Type="string">Switch XML Simplify</Name>
   <ElementDescription LocalizedTagName="Description" Validation="None" Validate="No" Tooltip="Description of the flow element" Editor="description" Type="string"/>
   <Xpos Default="0" Editor="hide" Type="number">656</Xpos>
   <Ypos Default="0" Editor="hide" Type="number">544</Ypos>
   <ElementIcon Editor="hide"><![CDATA[iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAACXBIWXMAAA7EAAAOxAGVKw4bAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAhFJREFUWIXtl71u2lAUx3+XjxhoooQWqmbAQmXpkCGZO9QZumQBngDeoOQJyhuQPkHgCQJPEHcIlbqkQ4YsaREMqRqqWFUCJq5zO1BcXBQUaA2txF/ycnx8z++eD19byEPWbIUDARozlATd3yMrvtc5nHXwYQhh15HzCD6Qb57BFwD/BIDwamH5juStJAO8BtZmDjCQXacAlO66H6D6xYsx1JHBLNmo4ZPot2O26VUPaAjrAEA858M4Ry+bULuP09ynYAEwEYAWCyLTcYrPHswGYHM1wP7WyhDAEgB6+4b9rRU2VwPeAOTVEMdalGMtSl4NOfYXj4I/Aaw7faYGSEb8lDaWudyJObszLEm5aTrOWiyI3rYA2DvrYljSydLlTozSxjLJiH8iACeHn14+dIzV8x6VVo/qec8VHODt1z7A7skVuydXZNYVcgmFzLpCIRWmkAojaheTZ2Agw5IYlqTRsV324foPq9GxnWemkZOB7SODXCJEXv11NTo2bz522TvruuoPUEiFefU07Ep5uWlSaZlMIvH7YZSM+MmrIXIJxVlc1C6Q6Th622L7yABApuNAPwOVVo9y0xzJGpnHAmDcd+fIHDU6NsXTa4qn1+TVEOknSyP1h36f1D7fuJp0Go0d5HLTpNw0nRfPcP2z77/9UeCBRkrwV3WPEvxfZ8ECwCsAfV7BJeg+ZDA7D4jB7/kPgm/K03J5ryIAAAAASUVORK5CYII=]]></ElementIcon>
   <LogDebugMessages LocalizedTagName="Log debug messages" Validation="None" Tooltip="Defines if an element should log debug messages. If 'Default' is chosen, global preference 'Log debug messages' is used." Subtype="inline" Editor="inline" Type="enum:Default;Yes" Default="Default" Validate="No" DetailedInfo="">Default</LogDebugMessages>
   <AbortTimeoutMinutes LocalizedTagName="Abort after (minutes)" Validation="None" Default="Default" Validate="No" Tooltip="If processing takes longer than this time, it is considered crashed or locked-up and it is aborted (0 means never abort). The default value can be set in the user preferences - Error Handling - Abort processes after (minutes)." Editor="inline;default" Type="number">Default</AbortTimeoutMinutes>
   <IncomingConnections RequireAtLeastOne="Yes" Editor="hide">Yes</IncomingConnections>
   <OutgoingConnections RequireAtLeastOne="Yes" DetailedInfo="" Editor="hide">Unlimited</OutgoingConnections>
   <dataset LocalizedTagName="Dataset name" Validation="Standard" Tooltip="Name of the switch datasets you want to simplify.&#xa;If “Automatic” is selected, the app will scan all the dataset." Subtype="automatic" UserDefined="true" Type="string" Editor="inline;automatic;sltextwithvar;description;mltextwithvar;scriptexp" Default="Automatic" DetailedInfo="">Automatic</dataset>
   <action LocalizedTagName="Action" Validation="Standard" Tooltip="Choose between this two actions :&#xa;- Create a new dataset : Create a new one with a suffix.&#xa;- Replace : Replace the dataset selected by the new simplified one" Subtype="inline" UserDefined="true" Type="enum:Replace;Create new dataset" Editor="inline;sltextwithvar;scriptexp" Default="Create new dataset" DetailedInfo="">Create new dataset</action>
   <suffix LocalizedTagName="Add suffix" Validation="Standard" Dependencyvalue="Create new dataset" Tooltip="If the action &quot;Create a new dataset&quot; is selected, you must determine the suffix to add to the original dataset." Subtype="inline" UserDefined="true" Type="string" Editor="inline;sltextwithvar;scriptexp" Dependency="action" Default="_simplified" DependencyCondition="Equals" DetailedInfo="">_simplified</suffix>
   <mode LocalizedTagName="Mode" Validation="Standard" Tooltip="Either you want to flatten or keep original indentation.&#xa;If &quot;Indented&quot; is selected, nodes with sublevel will have their value attached as an attribute.&#xa;&#xa;Note : Does not work for XML from ConnectAll. All Connect all XML will be flattened.&#xa;" Subtype="inline" UserDefined="true" Type="enum:Flattened;Indented" Editor="inline;sltextwithvar;scriptexp" Default="Indented" DetailedInfo="">Indented</mode>
   <isAttributeNeeded LocalizedTagName="Write all field info as attribute" Validation="Standard" Tooltip="Either or not to attach to each field info original attributes : Tag, Type, Format, Required..." Subtype="inline" UserDefined="true" Type="bool" Editor="inline;scriptexp" Default="No" DetailedInfo="">No</isAttributeNeeded>
   <tagCleanUpStrategy LocalizedTagName="Tag cleanup strategy" Validation="Standard" Tooltip="In order to work with XML syntax, the field name needs to be parsed to remove unwanted characters.&#xa;&#xa;The new syntax could be one of :&#xa;- camelCase;&#xa;- kebab-case;&#xa;- PascalCase;&#xa;- snake_case." Subtype="inline" UserDefined="true" Type="enum:camelCase;kebab-case;PascalCase;snake_case" Editor="inline;sltextwithvar;scriptexp" Default="camelCase" DetailedInfo="">camelCase</tagCleanUpStrategy>
  </Fields>
 </Object>
 <Object LocalizedTagName="" Id="24" Priority="" Class="connection">
  <Fields>
   <Type Editor="hide">TrafficLight</Type>
   <Name LocalizedTagName="Name" Default="" Validate="No" Tooltip="Name of the connection in the design area" Editor="inline" Type="string"/>
   <ElementDescription LocalizedTagName="Description" Validation="None" Default="" Validate="No" Tooltip="Description of the flow element" Subtype="description" Editor="description" Type="string"/>
   <CorneringFactor LocalizedTagName="Corner angle" Default="0" Tooltip="Connection cornering angle" Editor="inline" Type="number">0</CorneringFactor>
   <Sourceobject Editor="hide">23</Sourceobject>
   <Destobject Editor="hide">17</Destobject>
   <Color LocalizedTagName="Color" Default="Gray" Tooltip="Specify color for this connection" Subtype="inline" Editor="inline;choosecolor" Type="enum:Gray;Yellow;Green;Cyan;Blue;Magenta;Orange">Gray</Color>
   <TrafficType LocalizedTagName="Carry this type of jobs" Default="Data" Tooltip="Specify whether this connection should transport data jobs (output jobs) or log files (such as Preflight Reports, Distiller logs, etc...)" Editor="inline" Type="enum:Data;Log;Data with log">Data</TrafficType>
   <DatasetName LocalizedTagName="Dataset Name" Dependency="TrafficType" Dependencyvalue="Data with log" Tooltip="A name for the set of metadata picked up by this tool" Editor="inline" Type="string">Log</DatasetName>
   <Hold LocalizedTagName="Hold jobs" Default="No" Tooltip="Set to Yes to make this connection hold all jobs. Until this property is set to No again no jobs will flow through this connection" Editor="inline" Type="bool">No</Hold>
   <Success LocalizedTagName="Success out" AvailableFor="Data" Default="Yes" Editor="inline" Type="bool">Yes</Success>
   <Warning LocalizedTagName="Warning out" AvailableFor="Data" Default="Yes" Editor="inline" Type="bool">Yes</Warning>
   <Error LocalizedTagName="Error out" AvailableFor="Data" Default="Yes" Editor="inline" Type="bool">Yes</Error>
  </Fields>
 </Object>
</Data>
